## section-comment

section-comment

## Functions

void | flickcurl_free_comment ()
void | flickcurl_free_comments ()

## Types and Values

| flickcurl_comment

## Description

## Functions

### flickcurl_free_comment ()

    void
    flickcurl_free_comment (flickcurl_comment *comment_object);

Destructor for comment object

#### Parameters

comment_object | comment object |

### flickcurl_free_comments ()

    void
    flickcurl_free_comments (flickcurl_comment **comments_object);

Destructor for array of comment object

#### Parameters

comments_object | comment object array |

## Types and Values

### flickcurl_comment

    typedef struct {
      char* id;
      char* author;
      char* authorname;
      int datecreate;
      char* permalink;
      char* text;
    } flickcurl_comment;

A photo comment.

#### Members

char *`id`; | comment ID |
char *`author`; | author ID |
char *`authorname`; | author name |
int `datecreate`; | date of creation |
char *`permalink`; | permanent link of comment |
char *`text`; | comment text |